org.hibernate.search.elasticsearch.cfg

## Enum ElasticsearchIndexStatus

- java.lang.Object
- - java.lang.Enum<ElasticsearchIndexStatus>
  - - org.hibernate.search.elasticsearch.cfg.ElasticsearchIndexStatus

- All Implemented Interfaces:
    Serializable, Comparable<ElasticsearchIndexStatus>

      public enum ElasticsearchIndexStatus
      extends Enum<ElasticsearchIndexStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GREEN`
    `RED`
    `YELLOW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElasticsearchIndexStatus` | `fromString(String status)`
    `String` | `getElasticsearchString()`
    `static ElasticsearchIndexStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElasticsearchIndexStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GREEN

          public static final ElasticsearchIndexStatus GREEN

    - #### YELLOW

          public static final ElasticsearchIndexStatus YELLOW

    - #### RED

          public static final ElasticsearchIndexStatus RED

  - ### Method Detail

    - #### values

          public static ElasticsearchIndexStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElasticsearchIndexStatus c : ElasticsearchIndexStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElasticsearchIndexStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getElasticsearchString

          public String getElasticsearchString()

    - #### fromString

          public static ElasticsearchIndexStatus fromString(String status)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved